Package org.apache.tapestry5.spring

## Class TapestrySpringFilter

- java.lang.Object
- - org.apache.tapestry5.http.TapestryFilter
  - - org.apache.tapestry5.spring.TapestrySpringFilter

- All Implemented Interfaces:
    `Filter`

      public class TapestrySpringFilter
      extends TapestryFilter

  Add logic to setup for Spring integration at startup. In 5.1, this means creating a Spring ApplicationContext, and wiring parts of it to resolve Tapestry objects. In compatibility mode, this means locating the externally configuration context and exposing each bean in it as a Tapestry IoC service.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tapestry5.http.TapestryFilter

      `REGISTRY_CONTEXT_NAME`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TapestrySpringFilter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected ModuleDef[]` | `provideExtraModuleDefs​(ServletContext context)` | Overridden in subclasses to provide additional module definitions beyond those normally located.

    - ### Methods inherited from class org.apache.tapestry5.http.TapestryFilter

      `destroy, destroy, doFilter, getFilterConfig, init, init, provideExtraModuleClasses, runFilter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TapestrySpringFilter

          public TapestrySpringFilter()

  - ### Method Detail

    - #### provideExtraModuleDefs

          protected ModuleDef[] provideExtraModuleDefs​(ServletContext context)

      Description copied from class: `TapestryFilter`
      Overridden in subclasses to provide additional module definitions beyond those normally located. This implementation returns an empty array.
      Overrides:
        `provideExtraModuleDefs` in class `TapestryFilter`